Denial of service in ImageMagic

Published: 2017-05-30 18:23:16
Severity Low
Patch available YES
Number of vulnerabilities 2
CVE ID CVE-2017-9141
CVE-2017-9142
CVSSv3 3.8 [CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L/E:U/RL:O/RC:C]
3.8 [CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L/E:U/RL:O/RC:C]
CWE ID CWE-617
Exploitation vector Network
Public exploit N/A
Vulnerable software ImageMagick
Vulnerable software versions ImageMagick 7.0.5-7
Vendor URL ImageMagick.org

Security Advisory

1) Assertion failure

Description

The vulnerability allows a remote attacker to perform a denial of service attack.

The vulnerability exist due to missing checks in the ReadDDSImage function in coders/dds.c within the ResetImageProfileIterator function in MagickCore/profile.c in ImageMagick 7.0.5-7 Q16. A remote attacker can create a specially crafted file and trigger assertion failure.

Successful exploitation of the vulnerability may allow an attacker to perform a denial of service (DoS) attack.

Remediation

Update to version 7.0.5-8.

External links

https://github.com/ImageMagick/ImageMagick/issues/489

2) Assertion failure

Description

The vulnerability allows a remote attacker to perform a denial of service attack.

The vulnerability exist due to missing checks in the ReadOneJNGImage function in coders/png.c within the WriteBlob function in MagickCore/blob. in ImageMagick 7.0.5-7 Q16. A remote attacker can create a specially crafted file and trigger assertion failure.

Successful exploitation of the vulnerability may allow an attacker to perform a denial of service (DoS) attack.

Remediation

Update to version 7.0.5-8.

External links

https://github.com/ImageMagick/ImageMagick/issues/490

Back to List